﻿B4A=true
Group=Default Group
ModulesStructureVersion=1
Type=Class
Version=9.85
@EndOfDesignText@
#Region Shared Files
#CustomBuildAction: folders ready, %WINDIR%\System32\Robocopy.exe,"..\..\Shared Files" "..\Files"
'Ctrl + click to sync files: ide://run?file=%WINDIR%\System32\Robocopy.exe&args=..\..\Shared+Files&args=..\Files&FilesSync=True
#End Region

'Ctrl + click to export as zip: ide://run?File=%B4X%\Zipper.jar&Args=Project.zip

Sub Class_Globals
	Private Root As B4XView
	Private xui As XUI

	Private blnIsFirtsTime As Boolean = True
	
	Private lblSettingsHeader As Label
	Private pnlSettings As AS_Settings
	Private pnlSettingPage As AS_SettingsPage
	Private asdbc_main As ASDraggableBottomCard

	Private map_cmn_lst_federaciones As Map
End Sub

Public Sub Initialize
	map_cmn_lst_federaciones.Initialize
End Sub

Private Sub B4XPage_Appear
	If blnIsFirtsTime Then
		blnIsFirtsTime = False
		asdbc_main.Initialize(Me, "asdbc_main")
		asdbc_main.Create(Root, Root.Height - 90dip, Root.Height - 90dip, 50dip, Root.Width - 20dip, asdbc_main.Orientation_MIDDLE)
		asdbc_main.HeaderPanel.LoadLayout("frmsettingsheader")
		lblSettingsHeader.Text = "Title"
		asdbc_main.BodyPanel.LoadLayout("frmsettingsbody")
		asdbc_main.CornerRadius_Header = asdbc_main.HeaderPanel.Height / 2


		pnlSettings.MainPage.AddGroup("set_basic", "Default settings")
		pnlSettings.MainPage.AddDescriptionItem("set_basic", "Select A and B")

		pnlSettingPage.Initialize(pnlSettings, "List of elements")
		pnlSettingPage.AddGroup("selection", "List of A")
		Dim lstItems As List
		lstItems.Initialize
		map_cmn_lst_federaciones.Put(27, "ABH - Bahiense")
		map_cmn_lst_federaciones.Put(38, "ABSoBA - Sudoeste de Bs. As.")
		map_cmn_lst_federaciones.Put(37, "ACOBal - Caleta Olivia")
		map_cmn_lst_federaciones.Put(29, "ACoHan - Correntina")
		map_cmn_lst_federaciones.Put(10, "AFH - Formoseña")
		map_cmn_lst_federaciones.Put(4, "AHLS - Lagos del Sur")
		map_cmn_lst_federaciones.Put(7, "AMeBal - Mendocina")
		map_cmn_lst_federaciones.Put(8, "APaBal - Pampeana")
		map_cmn_lst_federaciones.Put(9, "APeBal - Pehuajense")
		map_cmn_lst_federaciones.Put(39, "ARH - Riojana")
		map_cmn_lst_federaciones.Put(11, "ARH - Rosarina")
		map_cmn_lst_federaciones.Put(28, "AsABal - Atlántica")
		map_cmn_lst_federaciones.Put(32, "ASaBal - Sanrafaelina")
		map_cmn_lst_federaciones.Put(26, "AsAmBal - Amigos NE de BA")
		map_cmn_lst_federaciones.Put(15, "ASBAL - Sureña")
		map_cmn_lst_federaciones.Put(6, "AsBalNor - Norte de Bs. As.")
		map_cmn_lst_federaciones.Put(12, "ASH - Salteña")
		map_cmn_lst_federaciones.Put(14, "ASH - Santafesina")
		map_cmn_lst_federaciones.Put(35, "AsoAR - Asoc. Amigos del Rocha")
		map_cmn_lst_federaciones.Put(33, "Asoc. Civil de Handball del Alto Valle")
		map_cmn_lst_federaciones.Put(34, "Asoc. Civil Viedmense de Handball")
		map_cmn_lst_federaciones.Put(31, "Asoc. Cordillerana de Handball")
		map_cmn_lst_federaciones.Put(30, "Asoc. de Handball Del Valle")
		map_cmn_lst_federaciones.Put(40, "AsoChaH - Chaqueña")
		map_cmn_lst_federaciones.Put(16, "ATH - Tucumana")
		map_cmn_lst_federaciones.Put(19, "FCH - Cordobesa")
		map_cmn_lst_federaciones.Put(18, "FeChuBa - Chubutense")
		map_cmn_lst_federaciones.Put(17, "FedABal - Atlántica")
		map_cmn_lst_federaciones.Put(36, "Federación Fueguina de Handball")
		map_cmn_lst_federaciones.Put(20, "FEH - Entrerriana")
		map_cmn_lst_federaciones.Put(21, "FeJuHan - Jujeña")
		map_cmn_lst_federaciones.Put(22, "FeMeBal - Metropolitana")
		map_cmn_lst_federaciones.Put(23, "FeNeuBal - Neuquina")
		map_cmn_lst_federaciones.Put(25, "FeSaB - Sanjuanina")
		map_cmn_lst_federaciones.Put(5, "FMH - Federación Misionera")
		map_cmn_lst_federaciones.Put(24, "FRH - Rionegrina")
		map_cmn_lst_federaciones.Put(13, "FSH -Sanluiseña")
		For Each intID As Int In map_cmn_lst_federaciones.Keys
			Dim strItem As String = map_cmn_lst_federaciones.Get(intID).As (String)
			lstItems.Add(pnlSettings.CreateSelectionListItem(strItem, Null, intID))
		Next
		pnlSettingPage.AddProperty_SelectionList("selection", "federation", lstItems, Array(), False, True)

		pnlSettings.MainPage.AddProperty_Action("set_basic", "fed_action", "Federation", "", Null, "Select...")

		pnlSettings.MainPage.AddGroup("set_advance", "Advance Settings")
		pnlSettings.MainPage.AddProperty_Boolean("set_advance", "appConnect", "Google login", "Link Google login to app", Null, False)

		pnlSettings.MainPage.Create
		
	End If
End Sub

'This event will be called once, before the page becomes visible.
Private Sub B4XPage_Created (Root1 As B4XView)
	Root = Root1
	Root.LoadLayout("MainPage")
End Sub

'You can see the list of page related events in the B4XPagesManager object. The event name is B4XPage.
Private Sub pnlSettings_ActionClicked(Property As AS_Settings_Property)
	Select Case Property.PropertyName
		Case "fed_action"
			pnlSettingPage.ShowPage()
	End Select
End Sub

Private Sub btnShowSettings_Click
	If asdbc_main.IsOpen Then
		asdbc_main.Hide(True)
	Else
		asdbc_main.Show(True)
	End If
End Sub